#include<bits/stdc++.h>
using namespace std;
int main(){
	string odg="";
	int t;
	cin>>t;
	int n;
	for(int i=0; i<t; i++){
		
		cin>>n;
		vector<int>a(n);
		for(int j=0; j<n; j++){
			cin>>a[j];
		}
		vector<int>b(n);
		for(int j=0; j<n; j++){
			cin>>b[j];
		}
		for(int j=0; j<n; j+=n){
			int n1=(n-1)-j;
			if(abs(a[j])-abs(b[n1])==0){
				odg+="DA\n";	
			}
			else if(abs(a[j])-abs(b[n1])!=0){
				odg+="NE\n";
			}
			else continue;		
		}
	}
	cout<<odg;
}